Skip to main content
PUT
Set up or change the payment carrier

Authorizations

Authorization
string
header
required

Tenant API key (vdx_live_…) as Authorization: Bearer.

Body

application/json
accountSid
string

Twilio Account SID (starts with AC).

authToken
string

Twilio Auth Token. Write-only. An API key secret cannot sign or check the payment webhooks.

stripe
object

Response

The payment carrier after the change.

provider
enum<string>
Available options:
twilio-stripe
configured
boolean
accountSid
string | null
accountName
string | null
status
enum<string> | null
Available options:
connected,
error
lastError
string | null
hasAuthToken
boolean
tokenFingerprint
string | null
stripe
object
numbers
string[]

This workspace's Pay numbers.

webhookUrl
string

The URL a Pay number's voice calls must be sent to.